Description: Use system ca certificates, not the bundled ones
Author: Marc Deslauriers <marc.deslauriers@canonical.com>
Forwarded: not-needed
Bug-Ubuntu: https://launchpad.net/bugs/882027

Index: b/python2/httplib2/__init__.py
===================================================================
--- a/python2/httplib2/__init__.py	2013-03-18 22:37:43.423868573 +0100
+++ b/python2/httplib2/__init__.py	2013-03-18 22:37:43.419868572 +0100
@@ -190,9 +190,8 @@
     import ca_certs_locater
     CA_CERTS = ca_certs_locater.get()
 except ImportError:
-    # Default CA certificates file bundled with httplib2.
-    CA_CERTS = os.path.join(
-        os.path.dirname(os.path.abspath(__file__ )), "cacerts.txt")
+    # Use system CA certificates
+    CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
 
 # Which headers are hop-by-hop headers by default
 HOP_BY_HOP = ['connection', 'keep-alive', 'proxy-authenticate', 'proxy-authorization', 'te', 'trailers', 'transfer-encoding', 'upgrade']
Index: b/python3/httplib2/__init__.py
===================================================================
--- a/python3/httplib2/__init__.py	2013-03-18 22:37:43.423868573 +0100
+++ b/python3/httplib2/__init__.py	2013-03-18 22:37:43.419868572 +0100
@@ -123,9 +123,8 @@
 # Which headers are hop-by-hop headers by default
 HOP_BY_HOP = ['connection', 'keep-alive', 'proxy-authenticate', 'proxy-authorization', 'te', 'trailers', 'transfer-encoding', 'upgrade']
 
-# Default CA certificates file bundled with httplib2.
-CA_CERTS = os.path.join(
-        os.path.dirname(os.path.abspath(__file__ )), "cacerts.txt")
+# Use system CA certificates
+CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
 
 def _get_end2end_headers(response):
     hopbyhop = list(HOP_BY_HOP)
Index: b/setup.py
===================================================================
--- a/setup.py	2013-03-18 22:37:43.423868573 +0100
+++ b/setup.py	2013-03-18 22:37:43.419868572 +0100
@@ -62,7 +62,6 @@
         """,
         package_dir=pkgdir,
         packages=['httplib2'],
-        package_data={'httplib2': ['*.txt']},
         classifiers=[
         'Development Status :: 4 - Beta',
         'Environment :: Web Environment',
